## sox 14.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckLibraryExists)

macro(optional variable header library function source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library} ${function} "" ${variable})
    if (${variable})
      set(optional_srcs ${optional_srcs} ${source})
      set(optional_libs ${optional_libs} ${library})
    endif (${variable})
  endif (${variable}1)
endmacro(optional)

macro(optional2 variable header library1 function1 library2 function2 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable})
      if (${variable})
	set(optional_srcs ${optional_srcs} ${source})
	set(optional_libs ${optional_libs} ${library1} ${library2})
      endif (${variable})
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional2)

macro(optional3 variable header library1 function1 library2 function2 library3 function3 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable}3)
      if (${variable}3)
	check_library_exists(${library3} ${function3} "" ${variable})
        if (${variable})
          set(optional_srcs ${optional_srcs} ${source})
          set(optional_libs ${optional_libs} ${library1} ${library2} ${library3})
        endif (${variable})
      endif (${variable}3)
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional3)

macro(optional4 variable header library1 function1 library2 function2 library3 function3 library4 function4 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable}3)
      if (${variable}3)
	check_library_exists(${library3} ${function3} "" ${variable}4)
	if (${variable}4)
	  check_library_exists(${library4} ${function4} "" ${variable})
	  if (${variable})
	    set(optional_srcs ${optional_srcs} ${source})
	    set(optional_libs ${optional_libs} ${library1} ${library2} ${library3} ${library4})
	  endif (${variable})
	endif (${variable}4)
      endif (${variable}3)
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional4)

project(sox)

if(CMAKE_COMPILER_IS_GNUCC)
  add_definitions(-D_FORTIFY_SOURCE=2 -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic)
endif(CMAKE_COMPILER_IS_GNUCC)

include(TestBigEndian)

check_include_files("byteswap.h"         HAVE_BYTESWAP_H)
check_include_files("inttypes.h"         HAVE_INTTYPES_H)
check_include_files("glob.h"             HAVE_GLOB_H)
check_include_files("io.h"               HAVE_IO_H)
#check_include_files("ltdl.h"             HAVE_LTDL_H) # no plug-ins as yet
check_include_files("stdint.h"           HAVE_STDINT_H)
check_include_files("string.h"           HAVE_STRING_H)
check_include_files("strings.h"          HAVE_STRINGS_H)
check_include_files("sys/stat.h"         HAVE_SYS_STAT_H)
check_include_files("sys/time.h"         HAVE_SYS_TIME_H)
check_include_files("sys/timeb.h"        HAVE_SYS_TIMEB_H)
check_include_files("sys/types.h"        HAVE_SYS_TYPES_H)
check_include_files("sys/utsname.h"      HAVE_SYS_UTSNAME_H)
check_include_files("termios.h"          HAVE_TERMIOS_H)
check_include_files("unistd.h"           HAVE_UNISTD_H)

check_function_exists("fmemopen"         HAVE_FMEMOPEN)
check_function_exists("fseeko"           HAVE_FSEEKO)
check_function_exists("gettimeofday"     HAVE_GETTIMEOFDAY)
check_function_exists("mkstemp"          HAVE_MKSTEMP)
check_function_exists("popen"            HAVE_POPEN)
check_function_exists("strcasecmp"       HAVE_STRCASECMP)
check_function_exists("strrstr"          HAVE_STRRSTR)
check_function_exists("vsnprintf"        HAVE_VSNPRINTF)

test_big_endian(WORDS_BIGENDIAN)

optional(NEED_LIBM math.h m pow "")
if(NEED_LIBM)
  set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -lm)
endif(NEED_LIBM)
optional(EXTERNAL_GSM gsm/gsm.h gsm gsm_create "")
optional(EXTERNAL_LPC10 lpc10/lpc10.h lpc10 lpc10_create "")
optional(HAVE_ALSA alsa/asoundlib.h asound snd_pcm_open alsa)
optional(HAVE_AMRNB amrnb/sp_dec.h amrnb Decoder_Interface_init amr-nb)
optional(HAVE_AMRWB amrwb/dec.h amrwb D_IF_init amr-wb)
if(CMAKE_COMPILER_IS_GNUCC)
  optional(HAVE_OPENMP omp.h gomp omp_get_thread_num "")
  if(HAVE_OPENMP)
    add_definitions(-fopenmp)
  endif(HAVE_OPENMP)
endif(CMAKE_COMPILER_IS_GNUCC)
optional(HAVE_ID3TAG id3tag.h id3tag id3_file_open "")
optional(HAVE_SNDIO sndio.h sndio sio_open sndio)
optional(HAVE_AO ao/ao.h ao ao_play ao)
optional(HAVE_FLAC FLAC/all.h FLAC FLAC__stream_encoder_new flac)
optional(HAVE_MAD_H mad.h mad mad_stream_buffer mp3)
optional(HAVE_LAME_LAME_H lame/lame.h mp3lame lame_get_lametag_frame mp3)
if (NOT HAVE_LAME_LAME_H)
  optional(HAVE_LAME_LAME_H lame.h mp3lame lame_get_lametag_frame mp3)
endif (NOT HAVE_LAME_LAME_H)
optional(HAVE_TWOLAME_H twolame.h twolame twolame_init mp3)
optional(HAVE_MAGIC magic.h magic magic_open "")
#optional(HAVE_OGG_SPEEX speex/speex.h speex speex_decoder_init speex)
optional2(HAVE_PNG png.h png png_set_rows z uncompress spectrogram)
if (HAVE_PNG)
  check_library_exists(z uncompress "" spectrogram1)
  if (${spectrogram1})
    set(optional_libs ${optional_libs} z)
  endif (${spectrogram1})
endif (HAVE_PNG)
optional2(HAVE_PULSEAUDIO pulse/simple.h pulse-simple pa_simple_new pulse pa_strerror pulseaudio)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sndfile)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual fap)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat4)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat5)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual paf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual pvf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sd2)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual w64)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual xi)
optional(HAVE_SPEEXDSP speex/speex_preprocess.h speexdsp speex_preprocess_run speexdsp)
optional(HAVE_SUN_AUDIOIO_H sun/audioio.h c ioctl sunaudio)
if (NOT HAVE_SUN_AUDIOIO_H)
  optional(HAVE_SYS_AUDIOIO_H sys/audioio.h c ioctl sunaudio)
endif (NOT HAVE_SUN_AUDIOIO_H)
optional(HAVE_SYS_SOUNDCARD_H sys/soundcard.h c ioctl oss)
if (NOT HAVE_SYS_SOUNDCARD_H)
  optional(HAVE_MACHINE_SOUNDCARD_H machine/soundcard.h ossaudio _oss_ioctl oss)
endif (NOT HAVE_SYS_SOUNDCARD_H)
optional(HAVE_WAVEAUDIO mmsystem.h winmm waveInGetDevCapsA waveaudio)
optional4(HAVE_OGG_VORBIS vorbis/codec.h ogg ogg_stream_flush vorbis vorbis_analysis_headerout vorbisfile ov_clear vorbisenc vorbis_encode_init_vbr vorbis)
optional3(HAVE_FFMPEG ffmpeg/avformat.h avformat av_open_input_file avutil av_rescale_q avcodec avcodec_decode_audio2 ffmpeg)
optional(HAVE_WAVPACK wavpack/wavpack.h wavpack WavpackGetSampleRate wavpack)

if (HAVE_LAME_LAME_H OR HAVE_MAD_H)
  set(HAVE_MP3 1)
endif (HAVE_LAME_LAME_H OR HAVE_MAD_H)

set(CMAKE_REQUIRED_LIBRARIES mp3lame m)
check_function_exists("lame_set_VBR_quality" HAVE_LAME_SET_VBR_QUALITY)
check_function_exists("id3tag_set_fieldvalue" HAVE_ID3TAG_SET_FIELDVALUE)

if (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)
  set(HAVE_SUN_AUDIO 1)
endif (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)

if (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)
  set(HAVE_OSS 1)
endif (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)

configure_file(sox.pc.in sox.pc @ONLY)
install_files(/lib/pkgconfig FILES sox.pc)

subdirs(src)

if (NOT EXTERNAL_GSM)
  add_subdirectory(libgsm)
endif (NOT EXTERNAL_GSM)

if (NOT EXTERNAL_LPC10)
  add_subdirectory(lpc10)
endif (NOT EXTERNAL_LPC10)

if(APPLE)
	find_library(COREAUDIO_LIBRARY CoreAudio)
	mark_as_advanced(COREAUDIO_LIBRARY)
	if(COREAUDIO_LIBRARY)
		set(HAVE_COREAUDIO 1)
		set(optional_srcs ${optional_srcs} coreaudio)
	endif(COREAUDIO_LIBRARY)
	set(optional_libs ${optional_libs} ${COREAUDIO_LIBRARY})
endif(APPLE)

=== lpc10/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(lpc10 analys bsynz chanwr dcbias decode deemp difmag dyptrk encode energy f2clib ham84 hp100 invert irc2pc ivfilt lpcdec lpcenc lpcini lpfilt median mload onset pitsyn placea placev preemp prepro random rcchk synths tbdm voicin vparms)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../src)

=== debian/changelog ===
sox (14.4.1-5) unstable; urgency=medium

  * Patches to fix memory corruptions on the heap, CVE-2014-8145
    (closes: #773720):
    + 0001-Check-for-minimum-size-sphere-headers.patch
    + 0002-More-checks-for-invalid-MS-ADPCM-blocks.patch

 -- Pascal Giard <pascal@debian.org>  Wed, 24 Dec 2014 14:33:55 -0500

sox (14.4.1-4) unstable; urgency=low

  * [debian/rules,debian/control]:
    - Build with dh-autoreconf instead of autotools-dev to fix FTBFS on new
      architectures. Thanks to William Grant <wgrant@ubuntu.com> and Breno
      Leitao <brenohl@br.ibm.com> (Closes: #746517).
  * [debian/control]:
    - Remove useless build-dep on libav* (Closes: #748049).

 -- Pascal Giard <pascal@debian.org>  Wed, 21 May 2014 21:58:57 -0400

sox (14.4.1-3) unstable; urgency=low

  * [debian/rules]:
    - Added an explicit call to dh_installchangelogs as Ubuntu no longer does
      does it by default. It's important for us as it contains the list of
      past contributors.
  * [debian/docs]:
    - Fixed paths to files.

 -- Pascal Giard <pascal@debian.org>  Mon, 15 Apr 2013 21:20:12 -0400

sox (14.4.1-2) unstable; urgency=low

  * [debian/libsox-fmt-base.install.in]:
    - Added all missing sndfile-derived formats. Thanks to Ulrich Klauer
      <ulrich@chirlu.de> for the patch (LP: #1086889).
  * [debian/control]:
    - Removed duplicate section field for sox. Fixes lintian warning.
    - Added Build-Dep on autotools-dev for dh_autotools_dev.
  * [debian/rules]:
    - Use dh_autotools_dev to update the outdated autotools helper files.
      Fixes lintian warning.

 -- Pascal Giard <pascal@debian.org>  Fri, 22 Feb 2013 22:38:19 -0500

sox (14.4.1-1) unstable; urgency=low

  * New upstream release.
    - Fixed misleading error message (closes: #676143).
    - Fixed early termination on Ogg Vorbis files with a non-power of two
      number of channels (closes: #672567).
  * [debian/source/format]:
    - Finally switched to dpkg-source 3.0 (quilt) format!
  * [debian/rules]:
    - No longer using CDBS and depricated makefiles, fixes lintian warnings
      "debian-rules-uses-deprecated-makefile".
    - Added multiarch support.
  * [debian/control]:
    - Added Vcs-Git and Vcs-Browser pointing to upstream VCS.
    - Added Pre-Depends on multiarch-support for libsox2, does not seem to be
      required for the other packages (contradiction in the documentation?),
      fixes lintian warning "missing-pre-dependency-on-multiarch-support".
    - Bumped Standards-Version to 3.9.3, no changes needed.
    - Set Multi-Arch on the shared libraries where appropriate.
    - Set Section to libs for all libsox* but libsox-dev.
  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Removed, fixed upstream.
  * [debian/compat]:
    - Bumped to 9 to automatically use dpkg-buildflags, fixes lintian warnings
      "hardening-no-relro" and some "hardening-no-fortify-functions" (there
      are still 5 false positives on the latter though).
  * [debian/watch]:
    - Updated watch file, thanks to Bart Martens <bartm@debian.org>.
  * [debian/README.source]:
    - Updated to reflect the much simplified packaging and usage of quilt.

 -- Pascal Giard <pascal@debian.org>  Mon, 11 Feb 2013 22:25:36 -0500

sox (14.4.0-5) unstable; urgency=low

  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Updated to only use try_device() on pulseaudio. Thanks to
      Ulrich Klauer <ulrich@chirlu.de> for the patch (closes: #676167).

 -- Pascal Giard <pascal@debian.org>  Fri, 18 Jan 2013 22:29:15 -0500

sox (14.4.0-4) experimental; urgency=low

  * [debian/rules, debian/control, debian/libsox-fmt-ffmpeg.dirs,
     debian/libsox-fmt-ffmpeg.install]:
    - Explicitly disabled and removed ffmpeg support as it's broken.
      It is being depricated in the next upstream version anyway
      (closes: #693642).

 -- Pascal Giard <pascal@debian.org>  Thu, 17 Jan 2013 21:18:45 -0500

sox (14.4.0-3) unstable; urgency=low

  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Added default audio driver fallback. Thanks to Rob Sykes for the patch
      (closes: #664301).

 -- Pascal Giard <pascal@debian.org>  Sun, 06 May 2012 22:55:25 -0400

sox (14.4.0-2) unstable; urgency=low

  * [debian/sox.install, debian/libsox-dev.install]:
    - Removed brace expensions fixing lintian warning
      "brace-expansion-in-debhelper-config-file".
  * [debian/control]:
    - Added versioned dependency to format libraries, fixes upgrades in some
      use cases.
    - Added MP2 to short description of libsox-fmt-mp3.
  * [debian/copyright]:
    - Long due update, thanks to Ulrich Klauer <ulrich@chirlu.de> for pointing
      this out.
    - libst is now libsox.
    - FFT code is no longer Audacity's GPL code.
    - Updated link to LGPL license to 2.1.

 -- Pascal Giard <pascal@debian.org>  Sun, 11 Mar 2012 23:59:36 -0400

sox (14.4.0-1) unstable; urgency=low

  * New upstream release.
    - sox_format_quit() resets format counts (closes: #660552).
    - Added support for MP2 via TwoLAME.
  * [debian/patches/01_transition_to_libav.patch]:
    - Removed, fixed upstream.
  * [debian/control]:
    - Use arch wildcards and added missing whitespaces (closes: #651754).
    - Changed Build-Dep on libpng-dev instead of libpng12-dev (closes: #662509).
    - Bumped libsox1b to libsox2, interface changes.
    - Added Build-Dep on libtwolame-dev and updated libsox-fmt-mp3 description.

 -- Pascal Giard <pascal@debian.org>  Tue, 06 Mar 2012 22:49:42 -0500

sox (14.3.2-3) unstable; urgency=low

  * [debian/control]:
    - Added armhf to architectures for which libsox-fmt-alsa should be built,
      thanks to Konstantinos Margaritis (closes: #645397).

 -- Pascal Giard <pascal@debian.org>  Sat, 10 Dec 2011 23:53:50 -0500

sox (14.3.2-2) unstable; urgency=low

  * Dynamically link against libmp3lame now that it's part of main
    (closes: #627687).
  * Preparing for transition from ffmpeg to libav (closes: #638206).
  * [debian/rules]:


=== debian/control ===
Source: sox
Homepage: http://sox.sourceforge.net
Section: sound
Priority: optional
Maintainer: Pascal Giard <pascal@debian.org>
Build-Depends: dh-autoreconf,
               debhelper (>= 9),
               ladspa-sdk,
               libao-dev,
               libasound2-dev [linux-any],
               libgsm1-dev,
               libid3tag0-dev,
               libltdl3-dev,
               libmad0-dev,
               libmagic-dev,
               libmp3lame-dev,
               libopencore-amrnb-dev,
               libopencore-amrwb-dev,
               libpng-dev,
               libpulse-dev,
               libsamplerate0-dev,
               libsndfile1-dev (>= 1.0.12),
               libtwolame-dev,
               libvorbis-dev,
               libwavpack-dev
Standards-Version: 3.9.3
Vcs-Git: git://sox.git.sourceforge.net/gitroot/sox/sox
Vcs-Browser: http://sox.git.sourceforge.net/git/gitweb.cgi?p=sox/sox

Package: sox
Architecture: any
Depends: libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-ao (= ${binary:Version}) | libsox-fmt-oss (= ${binary:Version}) | libsox-fmt-pulse (= ${binary:Version}),
         libsox-fmt-base (= ${binary:Version}),
         libsox2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libsox-fmt-all
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer
 audio files in to other formats. It can also apply various effects to these
 sound files during the conversion. As an added bonus, SoX can play and record
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like Ogg Vorbis, MP3, WAV, AIFF, VOC, SND, AU,
 GSM and several more.
 Any format support requires at least libsox-fmt-base. Some formats have their
 own package e.g. mp3 read and write support is provided by libsox-fmt-mp3.
 .
 SoX supports most common sound architectures i.e. Alsa, Libao, OSS and Pulse
 (respectively provided by libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss and
 libsox-fmt-pulse). It also supports LADSPA plugins.

Package: libsox2
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libsox-fmt-alsa [linux-any] | libsox-fmt-ao | libsox-fmt-oss | libsox-fmt-pulse,
            libsox-fmt-base
Conflicts: libsox0, libsox0a, libsox1, libsox1a
Replaces: libsox1b
Suggests: libsox-fmt-all
Description: SoX library of audio effects and processing
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX library which enables to convert various formats
 of computer audio files in to other formats. It also allows you to apply
 various effects to sound files.
 .
 Any format support requires at least libsox-fmt-base.
 Sound card I/O requires libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss or
 libsox-fmt-pulse.

Package: libsox-fmt-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsox-fmt-flac,
          libsox-fmt-gsm,
          libsox-fmt-libsndfile,
          libsox-fmt-ogg,
          libsox-fmt-sndfile
Description: Minimal set of SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This package contains most audio formats libraries supported by SoX.
 Among them: Ogg Vorbis, WAV, AIFF, VOC, SND, AU, GSM, WavPack, LPC10, FLAC,
 MATLAB/GNU Octave, Portable Voice Format, AMR and Sound Forge Audio Format.

Package: libsox-fmt-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX alsa format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX alsa format I/O library.
 .
 alsa: http://www.alsa-project.org

Package: libsox-fmt-ao
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX Libao format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Libao format I/O library.
 .
 libao: http://xiph.org/ao

Package: libsox-fmt-mp3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX MP2 and MP3 format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX MP2 and MP3 format library.
 Read support by libmad. MP2 and MP3 write support by libtwolame and
 libmp3lame respectively.
 .
 libmad: http://www.underbit.com/products/mad/
 lame: http://lame.sourceforge.net/

Package: libsox-fmt-oss
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX OSS format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Open Sound System (OSS)
 format I/O library.
 .
 Open Sound System: http://www.opensound.com/oss.html

Package: libsox-fmt-pulse
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX PulseAudio format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX PulseAudio format I/O library.
 .
 PulseAudio: http://www.pulseaudio.org/

Package: libsox-fmt-all
Architecture: any
Multi-Arch: same
Section: libs
Depends: libsox-fmt-alsa (= ${binary:Version}) [linux-any],
         libsox-fmt-ao (= ${binary:Version}),
         libsox-fmt-base (= ${binary:Version}),
         libsox-fmt-mp3 (= ${binary:Version}),
         libsox-fmt-oss (= ${binary:Version}),
         libsox-fmt-pulse (= ${binary:Version}),
         ${misc:Depends}
Description: All SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This is a metapackage depending on all free SoX format libraries.

Package: libsox-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsox-fmt-all (= ${binary:Version}),
         libsox2 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the development files for the SoX library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PREPROCESS_FILES := $(wildcard debian/*.in)

$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g' $< > $@

override_dh_auto_configure:
	dh_auto_configure -- --with-distro="$(shell dpkg-vendor --query vendor)" --with-dyn-default --without-ffmpeg

# Takes care of postinst-has-useless-call-to-ldconfig for libsox-fmt-*
override_dh_makeshlibs:
	dh_makeshlibs -Xfmt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(PREPROCESS_FILES:.in=)

override_dh_auto_install: $(PREPROCESS_FILES:.in=)
	dh_auto_install
	# Force Ubuntu into installing upstream ChangeLog, it contains the
	# list of past contributors
	dh_installchangelogs ChangeLog

%:
	dh $@ --with autoreconf

## sox 14.4.2

=== debian/changelog ===
sox (14.4.2-3ubuntu0.18.04.3) bionic-security; urgency=medium

  * SECURITY REGRESSION: Denial of Service
    - debian/patches/CVE-2021-33844.patch: fixed regression in wav-gsm 
      decodeing introduced via fixing CVE-2021-33844.
    - CVE-2021-33844

 -- Amir Naseredini <amir.naseredini@canonical.com>  Fri, 17 Mar 2023 16:56:11 +0000

sox (14.4.2-3ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2019-13590.patch: fixed a possible buffer overflow
      in startread function.
    - debian/patches/CVE-2021-23159.patch: fixed a possible buffer overflow
      in lsx_read_w_buf function (CVE-2021-23159) and in startread function
      (CVE-2021-23172)
    - debian/patches/CVE-2021-33844.patch: fixed a possible division by zero
      in startread function
    - debian/patches/CVE-2021-3643.patch: fixed a possible buffer overflow
      (CVE-2021-3643) and a possible division by zero (CVE-2021-23210) in
      voc component
    - debian/patches/CVE-2021-40426.patch: fixed a possible buffer overflow
      in start_read function
    - debian/patches/CVE-2022-31650.patch: fixed a possible floating-point
      exception in lsx_aiffstartwrite function
    - debian/patches/CVE-2022-31651.patch: fixed a possible assertion failure
      in rate_init function
    - debian/patches/fix-hcom-big-endian.patch: fixed a possible assertion
      failure in hcom component
    - debian/patches/fix-resource-leak-comments.patch: fixed a possible 
      unexpected behaviour on input parsing failure in formats component
    - debian/patches/fix-resource-leak-hcom.patch: fixed a possible
      unexpected behaviour on failure in hcom component
    - CVE-2019-13590
    - CVE-2021-23159
    - CVE-2021-23172
    - CVE-2021-33844
    - CVE-2021-3643
    - CVE-2021-23210
    - CVE-2021-40426
    - CVE-2022-31650
    - CVE-2022-31651
  * SECURITY UPDATE: Regression
    - debian/patches/CVE-2017-11358-revised.patch: fixed a regression caused
      by another patch.
    - CVE-2017-11358

 -- Amir Naseredini <amir.naseredini@canonical.com>  Wed, 01 Mar 2023 10:21:11 +0000

sox (14.4.2-3ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow on the result of multiplication fed into
    malloc.
    - debian/patches/CVE-2019-8354.patch: fix possible buffer size overflow in
      lsx_make_lpf()
    - CVE-2019-8354
  * SECURITY UPDATE: Integer overflow on the result of multiplication fed into
    lsx_valloc macro that wraps malloc.
    - debian/patches/CVE-2019-8355.patch: fix possible overflow in
      lsx_(re)valloc() size calculation
    - CVE-2019-8355
  * SECURITY UPDATE: Stack-based buffer overflow can lead to write access
    outside of the statically declared array.
    - debian/patches/CVE-2019-8356.patch: fft4g bail if size too large.
    - CVE-2019-8356
  * SECURITY UPDATE: NULL pointer deference in lsx_make_lpf.
    - debian/patches/CVE-2019-8357.patch: fix possible null pointer deref in
      lsx_make_lpf()
    - CVE-2019-8357

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Thu, 01 Aug 2019 12:27:09 -0300

sox (14.4.2-3) unstable; urgency=medium

  * Patch 0005 refreshed. (Closes: #882599)
  * Improve english in d/bug-presubj file. (Closes: #882601)
  * Bump Standards.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 18 Dec 2017 14:55:07 +0100

sox (14.4.2-2) unstable; urgency=medium

  * Upload to unstable to start transition.
  * Add patch to fix CVE-2017-15372. (Closes: #878808)
  * Add patch to fix CVE-2017-15642. (Closes: #882144)
  * Add patch to fix CVE-2017-11333 in vorbis lib. (Closes: #882236)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 24 Nov 2017 09:12:48 +0100

sox (14.4.2-1) experimental; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream version 14.4.2 (Closes: #800344)
  * Set compat/dh 10.
  * Bump Standards.
  * Adopt package.(Closes: #876904)
  * Update Homepage to avoid redirecting.
  * Update Vcs entry.
  * Improve description of dev package.
  * Drop unused patches.
  * Delete dirs files.
  * Simplify install files.
  * Simplify rules file.
  * Set hardening all.
  * Try avoid useless linking.
  * Update copyright file.
  * Introduce symbols file.
  * Bump soname.
  * Use secure uri in watch file.
  * Introduce postclone.sh script.
  * Add patch to fix build.
  * Add patch to fix spelling.
  * Add patches to fix CVE's.
    (Closes: #878809) (Closes: #878810) (Closes: #870328)
  * Add gbp.conf.
  * Add override_dh_installchangelogs.
  * Remove old configure option.
  * override_dh_makeshlibs is not needed any more.
  * Add 0010-wavpack_check_errors.patch. (Closes: #881145)
  * Add bug-presubj file.
  * Add man page fixing patch.
  * Add xa-validate-channel-count patch. (Closes: #881121)

  [ Sebastian Ramacher ]
  * Remove shlibs file, symbols file already present

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Nov 2017 12:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sox
-Homepage: http://sox.sourceforge.net
 Section: sound
 Priority: optional
-Maintainer: Pascal Giard <pascal@debian.org>
-Build-Depends: dh-autoreconf,
-               debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper (>= 10~),
                ladspa-sdk,
                libao-dev,
                libasound2-dev [linux-any],
@@ -23,15 +23,16 @@
                libtwolame-dev,
                libvorbis-dev,
                libwavpack-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://sox.git.sourceforge.net/gitroot/sox/sox
-Vcs-Browser: http://sox.git.sourceforge.net/git/gitweb.cgi?p=sox/sox
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sox.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sox.git
+Homepage: https://sox.sourceforge.io/
 
 Package: sox
 Architecture: any
 Depends: libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-ao (= ${binary:Version}) | libsox-fmt-oss (= ${binary:Version}) | libsox-fmt-pulse (= ${binary:Version}),
          libsox-fmt-base (= ${binary:Version}),
-         libsox2 (= ${binary:Version}),
+         libsox3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libsox-fmt-all
@@ -50,7 +51,7 @@
  (respectively provided by libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss and
  libsox-fmt-pulse). It also supports LADSPA plugins.
 
-Package: libsox2
+Package: libsox3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -99,7 +100,7 @@
  .
  This package contains the SoX alsa format I/O library.
  .
- alsa: http://www.alsa-project.org
+ alsa: https://www.alsa-project.org/main/index.php/Main_Page
 
 Package: libsox-fmt-ao
 Architecture: any
@@ -111,7 +112,7 @@
  .
  This package contains the SoX Libao format I/O library.
  .
- libao: http://xiph.org/ao
+ libao: https://xiph.org/ao
 
 Package: libsox-fmt-mp3
 Architecture: any
@@ -125,8 +126,8 @@
  Read support by libmad. MP2 and MP3 write support by libtwolame and
  libmp3lame respectively.
  .
- libmad: http://www.underbit.com/products/mad/
- lame: http://lame.sourceforge.net/
+ libmad: https://www.underbit.com/products/mad/
+ lame: https://lame.sourceforge.io
 
 Package: libsox-fmt-oss
 Architecture: any
@@ -151,7 +152,7 @@
  .
  This package contains the SoX PulseAudio format I/O library.
  .
- PulseAudio: http://www.pulseaudio.org/
+ PulseAudio: https://www.freedesktop.org/wiki/Software/PulseAudio/
 
 Package: libsox-fmt-all
 Architecture: any
@@ -174,9 +175,13 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libsox-fmt-all (= ${binary:Version}),
-         libsox2 (= ${binary:Version}),
+         libsox3 (= ${binary:Version}),
          ${misc:Depends}
 Description: Development files for the SoX library
  SoX is the swiss army knife of sound processing.
  .
+ This library allow you to convert various formats of computer audio files
+ in to other formats. It also allows you to apply
+ various effects to sound files.
+ .
  This package contains the development files for the SoX library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-distro="$(shell dpkg-vendor --query vendor)" --with-dyn-default

override_dh_bugfiles:
	dh_bugfiles -A

## sox 14.4.2+git20190427

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,16 +65,17 @@
   endif (${variable}1)
 endmacro(optional4)
 
-project(sox)
+project(sox C)
 
 if(CMAKE_COMPILER_IS_GNUCC)
-  add_definitions(-D_FORTIFY_SOURCE=2 -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic)
+	add_definitions(-fstack-protector -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic -Wno-format -Wno-long-long)
 endif(CMAKE_COMPILER_IS_GNUCC)
 
 include(TestBigEndian)
 
 check_include_files("byteswap.h"         HAVE_BYTESWAP_H)
 check_include_files("inttypes.h"         HAVE_INTTYPES_H)
+check_include_files("fenv.h"             HAVE_FENV_H)
 check_include_files("glob.h"             HAVE_GLOB_H)
 check_include_files("io.h"               HAVE_IO_H)
 #check_include_files("ltdl.h"             HAVE_LTDL_H) # no plug-ins as yet
@@ -103,6 +104,9 @@
 optional(NEED_LIBM math.h m pow "")
 if(NEED_LIBM)
   set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -lm)
+  optional(HAVE_LRINT math.h m lrint "")
+else(NEED_LIBM)
+  check_function_exists("lrint" HAVE_LRINT)
 endif(NEED_LIBM)
 optional(EXTERNAL_GSM gsm/gsm.h gsm gsm_create "")
 optional(EXTERNAL_LPC10 lpc10/lpc10.h lpc10 lpc10_create "")
@@ -110,10 +114,10 @@
 optional(HAVE_AMRNB amrnb/sp_dec.h amrnb Decoder_Interface_init amr-nb)
 optional(HAVE_AMRWB amrwb/dec.h amrwb D_IF_init amr-wb)
 if(CMAKE_COMPILER_IS_GNUCC)
-  optional(HAVE_OPENMP omp.h gomp omp_get_thread_num "")
-  if(HAVE_OPENMP)
+  optional(HAVE_GOMP omp.h gomp omp_get_thread_num "")
+  if(HAVE_GOMP)
     add_definitions(-fopenmp)
-  endif(HAVE_OPENMP)
+  endif(HAVE_GOMP)
 endif(CMAKE_COMPILER_IS_GNUCC)
 optional(HAVE_ID3TAG id3tag.h id3tag id3_file_open "")
 optional(HAVE_SNDIO sndio.h sndio sio_open sndio)
@@ -126,7 +130,6 @@
 endif (NOT HAVE_LAME_LAME_H)
 optional(HAVE_TWOLAME_H twolame.h twolame twolame_init mp3)
 optional(HAVE_MAGIC magic.h magic magic_open "")
-#optional(HAVE_OGG_SPEEX speex/speex.h speex speex_decoder_init speex)
 optional2(HAVE_PNG png.h png png_set_rows z uncompress spectrogram)
 if (HAVE_PNG)
   check_library_exists(z uncompress "" spectrogram1)
@@ -136,6 +139,7 @@
 endif (HAVE_PNG)
 optional2(HAVE_PULSEAUDIO pulse/simple.h pulse-simple pa_simple_new pulse pa_strerror pulseaudio)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sndfile)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual caf)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual fap)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat4)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat5)
@@ -155,7 +159,7 @@
 endif (NOT HAVE_SYS_SOUNDCARD_H)
 optional(HAVE_WAVEAUDIO mmsystem.h winmm waveInGetDevCapsA waveaudio)
 optional4(HAVE_OGG_VORBIS vorbis/codec.h ogg ogg_stream_flush vorbis vorbis_analysis_headerout vorbisfile ov_clear vorbisenc vorbis_encode_init_vbr vorbis)
-optional3(HAVE_FFMPEG ffmpeg/avformat.h avformat av_open_input_file avutil av_rescale_q avcodec avcodec_decode_audio2 ffmpeg)
+optional3(HAVE_OPUS opusfile.h ogg ogg_stream_flush opus opus_encoder_create opusfile op_open_callbacks opus)
 optional(HAVE_WAVPACK wavpack/wavpack.h wavpack WavpackGetSampleRate wavpack)
 
 if (HAVE_LAME_LAME_H OR HAVE_MAD_H)
@@ -164,7 +168,6 @@
 
 set(CMAKE_REQUIRED_LIBRARIES mp3lame m)
 check_function_exists("lame_set_VBR_quality" HAVE_LAME_SET_VBR_QUALITY)
-check_function_exists("id3tag_set_fieldvalue" HAVE_ID3TAG_SET_FIELDVALUE)
 
 if (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)
   set(HAVE_SUN_AUDIO 1)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}config.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(CMAKE_COMPILER_IS_GNUCC)
  execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
    OUTPUT_VARIABLE ver)
  string(REGEX REPLACE "([0-9]+)\\.([0-9]+).*" "\\1" major "${ver}")
  string(REGEX REPLACE "([0-9]+)\\.([0-9]+).*" "\\2" minor "${ver}")
  math(EXPR ver "100 * ${major} + ${minor}")
  if(${ver} LESS 403)
    add_definitions(-Wconversion)
  else(${ver} LESS 403)
    add_definitions(-Wtraditional-conversion)
  endif(${ver} LESS 403)
  #add_definitions(-Werror)
endif(CMAKE_COMPILER_IS_GNUCC)

if (NOT EXTERNAL_GSM)
  set(optional_libs ${optional_libs} gsm)
endif (NOT EXTERNAL_GSM)

set(effects_srcs
  bend
  biquad
  biquads
  chorus
  compand
  compandt
  contrast
  dcshift
  delay
  dft_filter
  dither
  divide
  downsample
  earwax
  echo
  echos
  fade
  fft4g
  fir
  firfit
  flanger
  gain
  hilbert
  input
  loudness
  mcompand
  noiseprof
  noisered
  output
  overdrive
  pad
  phaser
  rate
  remix
  repeat
  reverb
  reverse
  silence
  sinc
  skeleff
  speed
  splice
  stat
  stats
  stretch
  swap
  synth
  tempo
  tremolo
  trim
  upsample
  vad
  vol
)
set(formats_srcs
  8svx
  adpcm
  adpcms
  aifc-fmt
  aiff
  aiff-fmt
  al-fmt
  au
  avr
  cdr
  cvsd
  cvsd-fmt
  dat
  dvms-fmt
  f4-fmt
  f8-fmt
  g711
  g721
  g723_24
  g723_40
  g72x
  gsm
  gsrt
  hcom
  htk
  ima-fmt
  ima_rw
  la-fmt
  lpc10
  lu-fmt
  maud
  nulfile
  prc
  raw
  raw-fmt
  s1-fmt
  s2-fmt
  s3-fmt
  s4-fmt
  sf
  skelform
  smp
  sounder
  soundtool
  sox-fmt
  sphere
  tx16w
  u1-fmt
  u2-fmt
  u3-fmt
  u4-fmt
  ul-fmt
  voc
  vox
  vox-fmt
  wav
  wve
  xa
)

# Uncomment for bit-rot detection on linux
#set(formats_srcs ${formats_srcs} coreaudio sndio sunaudio waveaudio)
#add_definitions(-Ibit-rot)

add_library(lib${PROJECT_NAME}
  effects                 formats_i               libsox_i
  effects_i               ${formats_srcs}         ${optional_srcs}
  effects_i_dsp           getopt
  ${effects_srcs}         util
  formats                 libsox                  xmalloc
)
add_executable(${PROJECT_NAME} ${PROJECT_NAME}.c)
target_link_libraries(${PROJECT_NAME} lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(sox_sample_test sox_sample_test.c)
add_executable(example0 example0.c)
target_link_libraries(example0 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example1 example1.c)
target_link_libraries(example1 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example2 example2.c)
target_link_libraries(example2 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example3 example3.c)
target_link_libraries(example3 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example4 example4.c)
target_link_libraries(example4 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example5 example5.c)
target_link_libraries(example5 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example6 example6.c)
target_link_libraries(example6 lib${PROJECT_NAME} lpc10 ${optional_libs})
find_program(LN ln)
if (LN)
  add_custom_target(rec ALL ${LN} -sf sox rec DEPENDS sox)
  add_custom_target(play ALL ${LN} -sf sox play DEPENDS sox)
  add_custom_target(soxi ALL ${LN} -sf sox soxi DEPENDS sox)
endif (LN)
find_program(CTAGS NAMES exuberant-ctags ctags)
add_custom_target(tags ${CTAGS} --recurse --extra=fq ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
sox (14.4.2+git20190427-5build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 09:51:51 -0500

sox (14.4.2+git20190427-5) unstable; urgency=medium

  * Team upload
  * Add patch to fix compilation with gcc-14 (Closes: #1075528).
  * Add patch to fix vorbis memory leaks (Closes: #1029974).
  * Enable support for Opus (Closes: #905166).
  * Add "Build-Depends-Package" to symbols file.

 -- Joachim Bauch <fancycode@debian.org>  Fri, 04 Oct 2024 21:40:28 +0200

sox (14.4.2+git20190427-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable)

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
  * debian/patches: Refresh patches

  [ Bastien Roucariès ]
  * Add patch for CVE-2023-32627 (Closes: #1041112)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 18:26:02 +0100

sox (14.4.2+git20190427-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix regression in wav-gsm decodeing introduced via fixing CVE-2021-33844.
    (Closes: #1032082)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 12 Mar 2023 10:07:49 +0100

sox (14.4.2+git20190427-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore test failure on all mipsen (Addresses: #1030674)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 07 Feb 2023 22:21:09 +0100

sox (14.4.2+git20190427-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore test failure on mips64el (Addresses: #1030674)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 06 Feb 2023 13:02:25 +0100

sox (14.4.2+git20190427-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the CVE-unasssigned patch together with my own unnecessary change
    introducing the vulnerability: The buffer is overallocated by 16-1 bytes
    already and we don't overflow if we don't add to it.
  * Replace CVE-2017-11358 patch with the non-broken one from upstream
  * Fix big endian 64bit FTBFS: Import upstream patch to fix hcom writing
  * Improve CVE-2021-23159 patch to also reject empty dictionaries.
    The incomplete fix would allow an out-of-bounds read.
  * Improve CVE-2021-3643 patch to also reject word width 1.
    The incomplete fix would allow an out-of-bounds read.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 05 Feb 2023 13:13:59 +0100

sox (14.4.2+git20190427-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix some resource leaks.
  * Fix regression in hcom reader introduced via CVE-2017-11358. (Closes:
    #933372)
  * Enable test suite.
  * Fix CVE-2021-3643 and CVE-2021-23210: voc validation (Closes: #1010374)
  * Fix CVE-2021-23159 and CVE-2021-23172: hcom validation
    (Closes: #1021133, #1021134)
  * Fix CVE-2021-33844: wav validation (Closes: #1021135)
  * Fix CVE-2021-40426: sphere validation (Closes: #1012138)
  * Fix CVE-2022-31650: aiff validation (Closes: #1012516)
  * Fix CVE-2022-31651: reject implausible rate (Closes: #1012516)
  * Fix CVE-unasssigned: integer overflow
  * Silence dh_missing
  * Add an autopkgtest

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 03 Feb 2023 10:21:33 +0100

sox (14.4.2+git20190427-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Fix day-of-week for changelog entries 12.16-1, 12.14-1, 11gamma-cb3-
    5, 11gamma-cb3-4.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Replace libltdl3-dev with libltdl-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 10:10:57 +0200

sox (14.4.2+git20190427-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * Add patch to fix CVE-2019-13590.
    Thanks to Salvatore Bonaccorso. (Closes: #932082)
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add me as uploader
    + Set RRR: no

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 11:36:08 +0100

sox (14.4.2+git20190427-1) unstable; urgency=medium

  * Add patches to fix CVE-2019-8354, CVE-2019-8355, CVE-2019-8356 and
    CVE-2019-8357. Thanks to Moritz Muehlenhoff. (Closes: #927906)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 27 Apr 2019 15:57:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,36 @@
 Source: sox
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 10~),
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper-compat (= 13),
                ladspa-sdk,
                libao-dev,
                libasound2-dev [linux-any],
                libgsm1-dev,
                libid3tag0-dev,
-               libltdl3-dev,
+               libltdl-dev,
                libmad0-dev,
                libmagic-dev,
                libmp3lame-dev,
                libopencore-amrnb-dev,
                libopencore-amrwb-dev,
+               libopusfile-dev,
                libpng-dev,
                libpulse-dev,
                libsamplerate0-dev,
-               libsndfile1-dev (>= 1.0.12),
+               libsndfile1-dev,
                libtwolame-dev,
                libvorbis-dev,
-               libwavpack-dev
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sox.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sox.git
+               libwavpack-dev,
+               time <!nocheck>,
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/multimedia-team/sox.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/sox
 Homepage: https://sox.sourceforge.io/
+Rules-Requires-Root: no
 
 Package: sox
 Architecture: any
@@ -129,6 +133,18 @@
  libmad: https://www.underbit.com/products/mad/
  lame: https://lame.sourceforge.io
 
+Package: libsox-fmt-opus
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: SoX Opus format library
+ SoX is the swiss army knife of sound processing.
+ .
+ This package contains the SoX Opus format library.
+ .
+ Opus: http://www.opus-codec.org/
+
 Package: libsox-fmt-oss
 Architecture: any
 Multi-Arch: same
@@ -162,6 +178,7 @@
          libsox-fmt-ao (= ${binary:Version}),
          libsox-fmt-base (= ${binary:Version}),
          libsox-fmt-mp3 (= ${binary:Version}),
+         libsox-fmt-opus (= ${binary:Version}),
          libsox-fmt-oss (= ${binary:Version}),
          libsox-fmt-pulse (= ${binary:Version}),
          ${misc:Depends}

=== debian/tests/control ===
Test-Command: ln -s /bin/true $AUTOPKGTEST_TMP/sox_sample_test && ./src/tests.sh --bindir=/usr/bin --builddir=$AUTOPKGTEST_TMP --srcdir=src
Depends: sox, time
